Skip to main content
GET
/
v2
/
payment_links
/
{id}
Get a payment link
curl --request GET \
  --url https://thirdparty.qonto.com/v2/payment_links/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "open",
  "expiration_date": "2021-01-01T00:00:00Z",
  "potential_payment_methods": [
    "credit_card"
  ],
  "amount": {
    "value": "13.30",
    "currency": "EUR"
  },
  "resource_type": "Basket",
  "reusable": true,
  "created_at": "2021-01-01T00:00:00Z",
  "url": "https://pay.qonto.com/019788b3-57ab-727c-b26e-86b95c16e93f?resource_id=4c56f862-6117-4b20-a3e3-7fa6fccea029",
  "items": [
    {
      "title": "Item 1",
      "quantity": 1,
      "unit_price": {
        "value": "10.99",
        "currency": "EUR"
      },
      "vat_rate": "21.0",
      "type": "good",
      "description": "Item 1 description",
      "measure_unit": "unit"
    }
  ],
  "invoice_id": "550e8400-e29b-41d4-a716-446655440001",
  "invoice_number": "INV-12345",
  "debitor_name": "John Doe"
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string<uuid>
required

Payment link ID

Response

The payment link has been retrieved successfully.

id
string<uuid>
required

The ID of the payment link.

status
enum<string>
required

The status of the payment link.

Available options:
open,
expired,
canceled,
paid,
processing
Example:

"open"

expiration_date
string<date-time>
required

The date and time when the payment link will expire, formatted as an ISO 8601 date-time string.

Example:

"2021-01-01T00:00:00Z"

potential_payment_methods
enum<string>[]
required
Available options:
credit_card,
apple_pay,
paypal,
ideal
amount
object
required

The gross amount of the payment link, including VAT.

resource_type
enum<string>
required

Type of payment link resource.

Available options:
Invoice,
Basket
Example:

"Basket"

reusable
boolean
required

Whether the payment link can be reused. Defaults to false for invoice payment links.

Example:

true

created_at
string<date-time>
required

The date and time when the payment link was created, formatted as an ISO 8601 date-time string.

Example:

"2021-01-01T00:00:00Z"

url
string
required

The URL of the payment link.

Example:

"https://pay.qonto.com/019788b3-57ab-727c-b26e-86b95c16e93f?resource_id=4c56f862-6117-4b20-a3e3-7fa6fccea029"

items
object[] | null

Items for basket payment links. Null for invoice payment links.

invoice_id
string<uuid> | null

The ID of the invoice. Present for invoice payment links, null for basket payment links.

Example:

"550e8400-e29b-41d4-a716-446655440001"

invoice_number
string | null

The invoice number. Present for invoice payment links, null for basket payment links.

Example:

"INV-12345"

debitor_name
string | null

Name of the customer/debitor. Present for invoice payment links, null for basket payment links.

Example:

"John Doe"